Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hwpf.converter
Class WordToFoUtils

    java.lang.Object
      org.apache.poi.hwpf.converter.AbstractWordUtils
          org.apache.poi.hwpf.converter.WordToFoUtils

    public class WordToFoUtils

extends AbstractWordUtils

Field Summary

Fields inherited from class org.apache.poi.hwpf.converter.AbstractWordUtils
`TWIPS_PER_INCH, TWIPS_PER_PT`

Constructor Summary
`WordToFoUtils()`

Method Summary
`static void` | `setBold(org.w3c.dom.Element element, boolean bold)`
`static void` | `setBorder(org.w3c.dom.Element element, BorderCode borderCode, java.lang.String where)`
`static void` | `setCharactersProperties(CharacterRun characterRun, org.w3c.dom.Element inline)`
`static void` | `setFontFamily(org.w3c.dom.Element element, java.lang.String fontFamily)`
`static void` | `setFontSize(org.w3c.dom.Element element, int fontSize)`
`static void` | `setIndent(Paragraph paragraph, org.w3c.dom.Element block)`
`static void` | `setItalic(org.w3c.dom.Element element, boolean italic)`
`static void` | `setJustification(Paragraph paragraph, org.w3c.dom.Element element)`
`static void` | `setLanguage(CharacterRun characterRun, org.w3c.dom.Element inline)`
`static void` | `setParagraphProperties(Paragraph paragraph, org.w3c.dom.Element block)`
`static void` | `setPictureProperties(Picture picture, org.w3c.dom.Element graphicElement)`
`static void` | `setTableCellProperties(TableRow tableRow, TableCell tableCell, org.w3c.dom.Element element, boolean toppest, boolean bottomest, boolean leftest, boolean rightest)`
`static void` | `setTableRowProperties(TableRow tableRow, org.w3c.dom.Element tableRowElement)`

Methods inherited from class org.apache.poi.hwpf.converter.AbstractWordUtils
`getBorderType, getBorderWidth, getBulletText, getColor, getColor24, getJustification, getLanguage, getListItemNumberLabel, getOpacity, loadDoc, loadDoc, loadDoc, loadDoc`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WordToFoUtils

    public WordToFoUtils()

Method Detail

### setBold

    public static void setBold(org.w3c.dom.Element element,
                               boolean bold)

### setBorder

    public static void setBorder(org.w3c.dom.Element element,
                                 BorderCode borderCode,
                                 java.lang.String where)

### setCharactersProperties

    public static void setCharactersProperties(CharacterRun characterRun,
                                               org.w3c.dom.Element inline)

### setFontFamily

    public static void setFontFamily(org.w3c.dom.Element element,
                                     java.lang.String fontFamily)

### setFontSize

    public static void setFontSize(org.w3c.dom.Element element,
                                   int fontSize)

### setIndent

    public static void setIndent(Paragraph paragraph,
                                 org.w3c.dom.Element block)

### setItalic

    public static void setItalic(org.w3c.dom.Element element,
                                 boolean italic)

### setJustification

    public static void setJustification(Paragraph paragraph,
                                        org.w3c.dom.Element element)

### setLanguage

    public static void setLanguage(CharacterRun characterRun,
                                   org.w3c.dom.Element inline)

### setParagraphProperties

    public static void setParagraphProperties(Paragraph paragraph,
                                              org.w3c.dom.Element block)

### setPictureProperties

    public static void setPictureProperties(Picture picture,
                                            org.w3c.dom.Element graphicElement)

### setTableCellProperties

    public static void setTableCellProperties(TableRow tableRow,
                                              TableCell tableCell,
                                              org.w3c.dom.Element element,
                                              boolean toppest,
                                              boolean bottomest,
                                              boolean leftest,
                                              boolean rightest)

### setTableRowProperties

    public static void setTableRowProperties(TableRow tableRow,
                                             org.w3c.dom.Element tableRowElement)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD